Update code-set-values
curl --request PATCH \
--url https://wisepim.com/api/public/v1/code-set-values/{resource_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"labels": {},
"sort_order": 123,
"is_active": true
}
'import requests
url = "https://wisepim.com/api/public/v1/code-set-values/{resource_id}"
payload = {
"code": "<string>",
"labels": {},
"sort_order": 123,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', labels: {}, sort_order: 123, is_active: true})
};
fetch('https://wisepim.com/api/public/v1/code-set-values/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"labels": "<unknown>",
"sort_order": 123,
"is_active": true,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Update code-set-values
PATCH /code-set-values/. Required scopes: code-set-values:write.
PATCH
/
api
/
public
/
v1
/
code-set-values
/
{resource_id}
Update code-set-values
curl --request PATCH \
--url https://wisepim.com/api/public/v1/code-set-values/{resource_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"labels": {},
"sort_order": 123,
"is_active": true
}
'import requests
url = "https://wisepim.com/api/public/v1/code-set-values/{resource_id}"
payload = {
"code": "<string>",
"labels": {},
"sort_order": 123,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', labels: {}, sort_order: 123, is_active: true})
};
fetch('https://wisepim.com/api/public/v1/code-set-values/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"labels": "<unknown>",
"sort_order": 123,
"is_active": true,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Path Parameters
Body
application/json
Response
OK
Internal identifier for this value
Maximum string length:
100Localized labels keyed by locale code
Display order within the code set
Whether this value is currently active and selectable
The code set this value belongs to

